telemetry.util.mac.keychain_helper | index telemetry/util/mac/keychain_helper.py

`# Copyright 2014 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.`

Modules
`` |  |
telemetry.internal.util.binary_manager | telemetry.core.os_version | telemetry.core.platform | subprocess

Functions
`` |  | DoesKeychainHaveTimeout() `Returns True if the keychain will lock itself have a period of time. This method will trigger a blocking, modal dialog if the keychain is locked.` IsKeychainConfiguredForBotsWithChrome() IsKeychainConfiguredForBotsWithChromium() IsKeychainLocked() `Returns True if the keychain is locked, or if there is an error determining the keychain state.`